#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-happy-lib-z-grammar
version:              2.1.4
package-name:         happy-lib
lib-name:             grammar
id:                   happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar
key:                  happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  fc4e8841bff188a3fdb17dbc5a4f4f89
exposed-modules:      Happy.Grammar Happy.Grammar.ExpressionWithHole
import-dirs:          /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar
depends:              array-0.5.4.0 base-4.17.2.1
haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-happy-lib-z-tabular
version:              2.1.4
package-name:         happy-lib
lib-name:             tabular
id:                   happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular
key:                  happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  184741a543b3b97c81bf837b209c3e88
exposed-modules:
    Happy.Paths from happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular:Paths_happy_lib,
    Happy.Tabular, Happy.Tabular.First, Happy.Tabular.Info,
    Happy.Tabular.LALR, Happy.Tabular.NameSet, Paths_happy_lib

import-dirs:          /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular
depends:
    array-0.5.4.0 base-4.17.2.1 containers-0.6.7
    happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-happy-lib-z-backend-glr
version:              2.1.4
package-name:         happy-lib
lib-name:             backend-glr
id:                   happy-lib-2.1.4-HBCqbVAdZbZ7LlScuGTDCm-backend-glr
key:                  happy-lib-2.1.4-HBCqbVAdZbZ7LlScuGTDCm-backend-glr
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  679ecc8ca4e82358be30acd059a44bdc
exposed-modules:      Happy.Backend.GLR Happy.Backend.GLR.ProduceCode
import-dirs:          /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-HBCqbVAdZbZ7LlScuGTDCm-backend-glr
depends:
    array-0.5.4.0 base-4.17.2.1
    happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar
    happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-happy-lib-z-backend-lalr
version:              2.1.4
package-name:         happy-lib
lib-name:             backend-lalr
id:                   happy-lib-2.1.4-JNwp0BiG5T04XjRJPqBq6H-backend-lalr
key:                  happy-lib-2.1.4-JNwp0BiG5T04XjRJPqBq6H-backend-lalr
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  6e591bd9fae5d359849f8c3c53ee619a
exposed-modules:      Happy.Backend.LALR Happy.Backend.LALR.ProduceCode
import-dirs:          /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-JNwp0BiG5T04XjRJPqBq6H-backend-lalr
depends:
    array-0.5.4.0 base-4.17.2.1
    happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar
    happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-happy-lib-z-frontend
version:              2.1.4
package-name:         happy-lib
lib-name:             frontend
id:                   happy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend
key:                  happy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend
license:              BSD-2-Clause
copyright:            (c) Andy Gill, Simon Marlow
maintainer:           https://github.com/haskell/happy
author:               Andy Gill and Simon Marlow
stability:            stable
homepage:             https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:             Development
abi:                  fd56f32f8ae94df1970f021126ce9fd4
exposed-modules:
    Happy.Frontend Happy.Frontend.AbsSyn Happy.Frontend.Mangler
    Happy.Frontend.PrettyGrammar

hidden-modules:
    Happy.Frontend.ParseMonad Happy.Frontend.ParseMonad.Class
    Happy.Frontend.Mangler.Monad Happy.Frontend.Parser
    Happy.Frontend.Lexer Happy.Frontend.ParamRules
    Happy.Frontend.AttrGrammar Happy.Frontend.AttrGrammar.Parser
    Happy.Frontend.AttrGrammar.Mangler

import-dirs:          /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs:         /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/happy-lib-2.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-happy-lib
hs-libraries:         HShappy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend
depends:
    array-0.5.4.0 base-4.17.2.1 containers-0.6.7
    happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar mtl-2.2.2
    transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:         /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:               happy-lib
version:            2.1.4
visibility:         public
id:                 happy-lib-2.1.4-A8CAvtwoRJiAVcMj3IVSXb
key:                happy-lib-2.1.4-A8CAvtwoRJiAVcMj3IVSXb
license:            BSD-2-Clause
copyright:          (c) Andy Gill, Simon Marlow
maintainer:         https://github.com/haskell/happy
author:             Andy Gill and Simon Marlow
stability:          stable
homepage:           https://www.haskell.org/happy/
synopsis:
    Happy is a parser generator for Haskell implemented using this library

description:
    Happy is a parser generator for Haskell.  Given a grammar
    specification in BNF, Happy generates Haskell code to parse the
    grammar.  Happy works in a similar way to the @yacc@ tool for C.

    This library provides the following functionality:

      * Data type definitions for the Grammar AST type, capturing the information in .y-files (Happy.Grammar)

      * A parser for happy grammar files (.y) to produce a Grammar (Happy.Frontend.*)

      * Implementations of the text book algorithms that compute the LR action and
        goto tables for the given '\''Grammar'\'' (Happy.Tabular.*)

      * An LALR code generator to produce table-driven, deterministic parsing code
        in Haskell (Happy.Backend.LALR.*)

      * A (less maintained) GLR code generator to produce table-driven,
        non-deterministic parsing code in Haskell, where ambiguous parses produce
        multiple parse trees (Happy.Backend.GLR.*)

category:           Development
abi:                12d776480acf79c658d9432f8261bf55
exposed:            True
exposed-modules:
    Happy.Backend.GLR from happy-lib-2.1.4-HBCqbVAdZbZ7LlScuGTDCm-backend-glr:Happy.Backend.GLR,
    Happy.Backend.GLR.ProduceCode from happy-lib-2.1.4-HBCqbVAdZbZ7LlScuGTDCm-backend-glr:Happy.Backend.GLR.ProduceCode,
    Happy.Backend.LALR from happy-lib-2.1.4-JNwp0BiG5T04XjRJPqBq6H-backend-lalr:Happy.Backend.LALR,
    Happy.Backend.LALR.ProduceCode from happy-lib-2.1.4-JNwp0BiG5T04XjRJPqBq6H-backend-lalr:Happy.Backend.LALR.ProduceCode,
    Happy.Frontend from happy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend:Happy.Frontend,
    Happy.Frontend.AbsSyn from happy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend:Happy.Frontend.AbsSyn,
    Happy.Frontend.Mangler from happy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend:Happy.Frontend.Mangler,
    Happy.Frontend.PrettyGrammar from happy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend:Happy.Frontend.PrettyGrammar,
    Happy.Grammar from happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar:Happy.Grammar,
    Happy.Grammar.ExpressionWithHole from happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar:Happy.Grammar.ExpressionWithHole,
    Happy.Tabular from happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular:Happy.Tabular,
    Happy.Tabular.First from happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular:Happy.Tabular.First,
    Happy.Tabular.Info from happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular:Happy.Tabular.Info,
    Happy.Tabular.LALR from happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular:Happy.Tabular.LALR,
    Happy.Tabular.NameSet from happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular:Happy.Tabular.NameSet

data-dir:           /usr/share/haskell-happy-lib
depends:
    array-0.5.4.0 base-4.17.2.1 containers-0.6.7
    happy-lib-2.1.4-HBCqbVAdZbZ7LlScuGTDCm-backend-glr
    happy-lib-2.1.4-JNwp0BiG5T04XjRJPqBq6H-backend-lalr
    happy-lib-2.1.4-2ugac1K8Rmj6LWRWuMP5vJ-frontend
    happy-lib-2.1.4-9H657CBgfJAF906JTPDAgU-grammar
    happy-lib-2.1.4-ISUO3GTnAK26700IxmAKmj-tabular mtl-2.2.2
    transformers-0.5.6.2

haddock-interfaces: /usr/share/doc/haskell-happy-lib/html/happy-lib.haddock
haddock-html:       /usr/share/doc/haskell-happy-lib/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

